// PlugTest.h : main header file for the PLUGTEST DLL
//

#if !defined(AFX_MISSIONIMP_H__68E70A2D_B863_11D1_98AD_0040051EDCE7__INCLUDED_)
#define AFX_MISSIONIMP_H__68E70A2D_B863_11D1_98AD_0040051EDCE7__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#ifndef __AFXWIN_H__
	#error include 'stdafx.h' before including this file for PCH
#endif


#ifdef STRICT							// Already defined by stdafx,
#undef STRICT							// so we avoid warning linking msg
#endif
#ifdef _MBCS							// The same as above
#undef _MBCS
#endif

#include "AnimationSuite.h"
#include <Stuff\StuffHeaders.hpp>

class MissionImp : public SceneImport 
{
public:
    MissionImp() {}
    ~MissionImp() {}

    int ExtCount() { return 1;}
    const TCHAR * Ext(int n) {
        switch(n) {
        case 0:
            // This cause a static string buffer overwrite
            // return GetString(IDS_EXTENSION1);
            return _T("contents");
        }
        return _T("");
    }
    const TCHAR * LongDesc() { return GetString(IDS_LONGDESC); }
    const TCHAR * ShortDesc() {	return _T("MW4 CONTENT"); }
    const TCHAR * AuthorName() { return _T("Jonthan Kyle"); }
    const TCHAR * CopyrightMessage() { return GetString(IDS_COPYRIGHT); }
    const TCHAR * OtherMessage1() {	return _T(""); }
    const TCHAR * OtherMessage2() {	return _T(""); }
    unsigned int Version() { return 100; }
    void ShowAbout(HWND hWnd) {
	    CAbout dlg;
	    dlg.DoModal();
    }

	int DoImport(const TCHAR *name, ImpInterface *ii,Interface *i, BOOL suppressPrompts=FALSE);
	int ImportMission(const CString& fileName);

private:
	int ImportPage(Page *page);
	int ImportVideo(const char *name,Quat maxrot,Point3 maxtrans);
	int ImportModel(const char *name,Quat maxrot,Point3 maxtrans);
	int ImportArmature(const char *name,Quat maxrot,Point3 maxtrans);

	Interface* m_ip;
	bool m_suppress;
};

/////////////////////////////////////////////////////////////////////////////
//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MISSIONIMP_H__68E70A2D_B863_11D1_98AD_0040051EDCE7__INCLUDED_)
